## python-os-brick 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
six>=1.10.0 # MIT
os-win>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-os-brick (2.3.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 11:29:48 +0000

python-os-brick (2.1.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/*: Refresh.
  * d/test-blacklist.txt: Blacklist racey test on busy systems.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 21:18:30 +0000

=== debian/control ===
Source: python-os-brick
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-castellan (>= 0.4.0),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-eventlet (>= 0.18.2),
 python-hacking (>= 0.10.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-testr (>= 1.0.0),
 python-os-win (>= 2.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.privsep (>= 1.9.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 2.17.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1.10.0),
 python-requests (>= 2.14.2),
 python-retrying (>= 1.2.3),
 python-six (>= 1.10.0),
 python-sphinx (>= 1.5.1),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 0.4.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-eventlet (>= 0.18.2),
 python3-hacking (>= 0.10.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 2.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.privsep (>= 1.9.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1.10.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.5.1),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
Homepage: https://github.com/openstack/os-brick
XS-Testsuite: autopkgtest

Package: os-brick-common
Architecture: all
Depends:
 ${misc:Depends},
Description: Library for managing local volume attaches - common files
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains common files needed by either the Python 2 or 3 module
 of os-brick.

Package: python-os-brick
Architecture: all
Depends:
 open-iscsi,
 os-brick-common (= ${binary:Version}),
 python-babel (>= 2.3.4),
 python-castellan (>= 0.4.0),
 python-eventlet (>= 0.18.2),
 python-os-win (>= 2.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.privsep (>= 1.9.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-retrying (>= 1.2.3),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-brick-doc,
Description: Library for managing local volume attaches - Python 2.x
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains the Python 2.x module.

Package: python-os-brick-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Library for managing local volume attaches - doc
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains the documentation.

Package: python3-os-brick
Architecture: all
Depends:
 open-iscsi,
 os-brick-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 0.4.0),
 python3-eventlet (>= 0.18.2),
 python3-os-win (>= 2.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.privsep (>= 1.9.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-brick-doc,
Description: Library for managing local volume attaches - Python 3.x
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/os-brick/ os-brick-(\d.*)\.tar\.gz

## python-os-brick 2.5.3

=== debian/changelog ===
python-os-brick (2.5.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Aug 2018 13:27:16 -0400

python-os-brick (2.5.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/removes-privacy-breach-in-docs.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 11:58:24 -0400

python-os-brick (2.4.0-0ubuntu1) cosmic; urgency=medium

  * Merged from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/control: Enable autopkgtest-pkg-python testsuite.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch: Use https URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 17:26:40 -0400

python-os-brick (2.3.0-3) unstable; urgency=medium

  * Blacklist 2 timeout tests which don't seem deterministic.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 23:41:52 +0000

python-os-brick (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:33 +0000

python-os-brick (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Use github tag over HTTPS for watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 08:50:24 +0000

python-os-brick (1.15.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 01:13:13 +0000

python-os-brick (1.15.3-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2017 23:21:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,79 +2,78 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
+ python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-babel (>= 2.3.4),
- python-castellan (>= 0.4.0),
+ python-castellan (>= 0.16.0),
  python-coverage (>= 4.0),
  python-ddt (>= 1.0.1),
  python-eventlet (>= 0.18.2),
- python-hacking (>= 0.10.0),
- python-openstackdocstheme (>= 1.17.0),
+ python-hacking (>= 0.12.0),
+ python-openstackdocstheme (>= 1.18.1),
  python-os-testr (>= 1.0.0),
- python-os-win (>= 2.0.0),
- python-oslo.concurrency (>= 3.25.0),
+ python-os-win (>= 3.0.0),
+ python-oslo.concurrency (>= 3.26.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
- python-oslo.privsep (>= 1.9.0),
- python-oslo.serialization (>= 2.18.0),
+ python-oslo.privsep (>= 1.23.0),
  python-oslo.service (>= 1.24.0),
  python-oslo.utils (>= 3.33.0),
  python-oslo.vmware (>= 2.17.0),
- python-oslosphinx (>= 4.7.0),
- python-oslotest (>= 1.10.0),
+ python-oslotest (>= 1:3.2.0),
+ python-reno (>= 2.5.0),
  python-requests (>= 2.14.2),
  python-retrying (>= 1.2.3),
  python-six (>= 1.10.0),
- python-sphinx (>= 1.5.1),
+ python-stestr,
  python-testrepository (>= 0.0.18),
  python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
  python3-babel (>= 2.3.4),
- python3-castellan (>= 0.4.0),
- python3-coverage (>= 4.0),
+ python3-castellan (>= 0.16.0),
  python3-ddt (>= 1.0.1),
  python3-eventlet (>= 0.18.2),
- python3-hacking (>= 0.10.0),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-os-testr (>= 1.0.0),
- python3-os-win (>= 2.0.0),
- python3-oslo.concurrency (>= 3.25.0),
+ python3-os-win (>= 3.0.0),
+ python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.privsep (>= 1.9.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.privsep (>= 1.23.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.vmware (>= 2.17.0),
- python3-oslosphinx (>= 4.7.0),
- python3-oslotest (>= 1.10.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-retrying (>= 1.2.3),
  python3-six (>= 1.10.0),
- python3-sphinx (>= 1.5.1),
+ python3-stestr,
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
 Homepage: https://github.com/openstack/os-brick
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: os-brick-common
 Architecture: all
@@ -95,14 +94,12 @@
  open-iscsi,
  os-brick-common (= ${binary:Version}),
  python-babel (>= 2.3.4),
- python-castellan (>= 0.4.0),
  python-eventlet (>= 0.18.2),
- python-os-win (>= 2.0.0),
- python-oslo.concurrency (>= 3.25.0),
+ python-os-win (>= 3.0.0),
+ python-oslo.concurrency (>= 3.26.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
- python-oslo.privsep (>= 1.9.0),
- python-oslo.serialization (>= 2.18.0),
+ python-oslo.privsep (>= 1.23.0),
  python-oslo.service (>= 1.24.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
@@ -141,14 +138,12 @@
  open-iscsi,
  os-brick-common (= ${binary:Version}),
  python3-babel (>= 2.3.4),
- python3-castellan (>= 0.4.0),
  python3-eventlet (>= 0.18.2),
- python3-os-win (>= 2.0.0),
- python3-oslo.concurrency (>= 3.25.0),
+ python3-os-win (>= 3.0.0),
+ python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.privsep (>= 1.9.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.privsep (>= 1.23.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),

## python-os-brick 2.5.5

=== requirements.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
-oslo.concurrency>=3.25.0 # Apache-2.0
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.privsep>=1.23.0 # Apache-2.0
@@ -14,4 +14,4 @@
 requests>=2.14.2 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 six>=1.10.0 # MIT
-os-win>=2.0.0 # Apache-2.0
+os-win>=3.0.0 # Apache-2.0

=== debian/changelog ===
python-os-brick (2.5.5-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Feb 2019 14:31:55 +0100

python-os-brick (2.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Jan 2019 23:10:27 +0100

python-os-brick (2.5.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:19:21 +0200

python-os-brick (2.5.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 for building sphinx doc.
  * Rebased removes-privacy-breach-in-docs.patch.
  * Added a few <!nocheck> in debian/control.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 16:57:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-os-brick
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
@@ -13,20 +12,17 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-babel (>= 2.3.4),
+ python-babel,
  python-castellan (>= 0.16.0),
- python-coverage (>= 4.0),
- python-ddt (>= 1.0.1),
- python-eventlet (>= 0.18.2),
- python-hacking (>= 0.12.0),
- python-openstackdocstheme (>= 1.18.1),
- python-os-testr (>= 1.0.0),
+ python-coverage,
+ python-ddt,
+ python-eventlet,
+ python-hacking,
  python-os-win (>= 3.0.0),
  python-oslo.concurrency (>= 3.26.0),
  python-oslo.i18n (>= 3.15.3),
@@ -35,21 +31,18 @@
  python-oslo.service (>= 1.24.0),
  python-oslo.utils (>= 3.33.0),
  python-oslo.vmware (>= 2.17.0),
- python-oslotest (>= 1:3.2.0),
- python-reno (>= 2.5.0),
+ python-oslotest (>= 1:3.2.0) <!nocheck>,
  python-requests (>= 2.14.2),
- python-retrying (>= 1.2.3),
- python-six (>= 1.10.0),
- python-stestr,
- python-testrepository (>= 0.0.18),
- python-testscenarios (>= 0.4),
+ python-retrying,
+ python-six,
+ python-stestr <!nocheck>,
+ python-testscenarios <!nocheck>,
  python-testtools (>= 2.2.0),
- python3-babel (>= 2.3.4),
+ python3-babel,
  python3-castellan (>= 0.16.0),
- python3-ddt (>= 1.0.1),
- python3-eventlet (>= 0.18.2),
- python3-openstackdocstheme (>= 1.18.1),
- python3-os-testr (>= 1.0.0),
+ python3-ddt,
+ python3-eventlet,
+ python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -58,22 +51,19 @@
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.vmware (>= 2.17.0),
- python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
+ python3-oslotest (>= 1:3.2.0) <!nocheck>,
+ python3-reno,
  python3-requests (>= 2.14.2),
- python3-retrying (>= 1.2.3),
- python3-six (>= 1.10.0),
- python3-stestr,
- python3-testrepository (>= 0.0.18),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
+ python3-retrying,
+ python3-six,
+ python3-stestr <!nocheck>,
+ python3-testscenarios <!nocheck>,
+ python3-testtools (>= 2.2.0) <!nocheck>,
  subunit,
- testrepository,
-Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-brick
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-brick.git
 Homepage: https://github.com/openstack/os-brick
-Testsuite: autopkgtest-pkg-python
 
 Package: os-brick-common
 Architecture: all
@@ -93,8 +83,8 @@
 Depends:
  open-iscsi,
  os-brick-common (= ${binary:Version}),
- python-babel (>= 2.3.4),
- python-eventlet (>= 0.18.2),
+ python-babel,
+ python-eventlet,
  python-os-win (>= 3.0.0),
  python-oslo.concurrency (>= 3.26.0),
  python-oslo.i18n (>= 3.15.3),
@@ -104,8 +94,8 @@
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
  python-requests (>= 2.14.2),
- python-retrying (>= 1.2.3),
- python-six (>= 1.10.0),
+ python-retrying,
+ python-six,
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -137,8 +127,8 @@
 Depends:
  open-iscsi,
  os-brick-common (= ${binary:Version}),
- python3-babel (>= 2.3.4),
- python3-eventlet (>= 0.18.2),
+ python3-babel,
+ python3-eventlet,
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -148,8 +138,8 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-retrying (>= 1.2.3),
- python3-six (>= 1.10.0),
+ python3-retrying,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-brick.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	rm -rf $(CURDIR)/debian/python*-os-brick/usr/etc
	install -D -m 0644 etc/os-brick/rootwrap.d/os-brick.filters $(CURDIR)/debian/os-brick-common/etc/os-brick/rootwrap.d/os-brick.filters

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'os_brick\.tests\.(?!(.*privileged\.test_rootwrap\.PrivRootwrapTestCase\.test_custom_execute_timeout_no_raise.*|.*privileged\.test_rootwrap\.PrivRootwrapTestCase\.test_custom_execute_timeout_raises_with_retries.*))'
endif

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-brick-doc/usr/share/doc/python-os-brick-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-os-brick 2.8.1

=== debian/changelog ===
python-os-brick (2.8.1-0ubuntu1) disco; urgency=medium

  * New upstream point release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 14:10:23 +0000

python-os-brick (2.8.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:39:48 +0000

python-os-brick (2.7.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 13:24:14 -0500

python-os-brick (2.6.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 10:34:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-os-brick
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
@@ -12,17 +13,20 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
+ python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-babel,
+ python-babel (>= 2.3.4),
  python-castellan (>= 0.16.0),
- python-coverage,
- python-ddt,
- python-eventlet,
- python-hacking,
+ python-coverage (>= 4.0),
+ python-ddt (>= 1.0.1),
+ python-eventlet (>= 0.18.2),
+ python-hacking (>= 0.12.0),
+ python-openstackdocstheme (>= 1.18.1),
+ python-os-testr (>= 1.0.0),
  python-os-win (>= 3.0.0),
  python-oslo.concurrency (>= 3.26.0),
  python-oslo.i18n (>= 3.15.3),
@@ -31,18 +35,23 @@
  python-oslo.service (>= 1.24.0),
  python-oslo.utils (>= 3.33.0),
  python-oslo.vmware (>= 2.17.0),
- python-oslotest (>= 1:3.2.0) <!nocheck>,
+ python-oslotest (>= 1:3.2.0),
+ python-reno (>= 2.5.0),
  python-requests (>= 2.14.2),
- python-retrying,
- python-six,
- python-stestr <!nocheck>,
- python-testscenarios <!nocheck>,
+ python-retrying (>= 1.2.3),
+ python-six (>= 1.10.0),
+ python-stestr (>= 1.0.0),
+ python-testrepository (>= 0.0.18),
+ python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
- python3-babel,
+ python3-babel (>= 2.3.4),
  python3-castellan (>= 0.16.0),
- python3-ddt,
- python3-eventlet,
- python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
+ python3-coverage (>= 4.0),
+ python3-ddt (>= 1.0.1),
+ python3-eventlet (>= 0.18.2),
+ python3-hacking (>= 0.12.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-os-testr (>= 1.0.0),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -51,19 +60,22 @@
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.vmware (>= 2.17.0),
- python3-oslotest (>= 1:3.2.0) <!nocheck>,
- python3-reno,
+ python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
- python3-retrying,
- python3-six,
- python3-stestr <!nocheck>,
- python3-testscenarios <!nocheck>,
- python3-testtools (>= 2.2.0) <!nocheck>,
+ python3-retrying (>= 1.2.3),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 1.0.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
  subunit,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-brick
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-brick.git
+ testrepository,
+Standards-Version: 4.1.4
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
 Homepage: https://github.com/openstack/os-brick
+Testsuite: autopkgtest-pkg-python
 
 Package: os-brick-common
 Architecture: all
@@ -83,8 +95,8 @@
 Depends:
  open-iscsi,
  os-brick-common (= ${binary:Version}),
- python-babel,
- python-eventlet,
+ python-babel (>= 2.3.4),
+ python-eventlet (>= 0.18.2),
  python-os-win (>= 3.0.0),
  python-oslo.concurrency (>= 3.26.0),
  python-oslo.i18n (>= 3.15.3),
@@ -94,8 +106,8 @@
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
  python-requests (>= 2.14.2),
- python-retrying,
- python-six,
+ python-retrying (>= 1.2.3),
+ python-six (>= 1.10.0),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -127,8 +139,8 @@
 Depends:
  open-iscsi,
  os-brick-common (= ${binary:Version}),
- python3-babel,
- python3-eventlet,
+ python3-babel (>= 2.3.4),
+ python3-eventlet (>= 0.18.2),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -138,8 +150,8 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-retrying,
- python3-six,
+ python3-retrying (>= 1.2.3),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 endif
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-brick-doc/usr/share/doc/python-os-brick-doc/html
+	sphinx-build -b html doc/source debian/python-os-brick-doc/usr/share/doc/python-os-brick-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 override_dh_clean:

## python-os-brick 2.10.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.3,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.3;python_version>='3.4'  # BSD
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinx-feature-classification>=0.1.0 # Apache 2.0
mock>=2.0.0 # BSD

=== debian/changelog ===
python-os-brick (2.10.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:18:29 -0400

python-os-brick (2.9.1-0ubuntu3) eoan; urgency=medium

  * d/rules: Ensure sphinx is built with python3.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Aug 2019 09:43:28 -0400

python-os-brick (2.9.1-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure reno min version aligns with Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Aug 2019 15:19:11 -0400

python-os-brick (2.9.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/removes-privacy-breach-in-docs.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:34:31 -0400

python-os-brick (2.8.1-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-os-brick binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 10:58:49 +0200

=== debian/control ===
--- 
+++ 
@@ -19,38 +19,15 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-babel (>= 2.3.4),
- python-castellan (>= 0.16.0),
- python-coverage (>= 4.0),
- python-ddt (>= 1.0.1),
- python-eventlet (>= 0.18.2),
- python-hacking (>= 0.12.0),
- python-openstackdocstheme (>= 1.18.1),
- python-os-testr (>= 1.0.0),
- python-os-win (>= 3.0.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.privsep (>= 1.23.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslo.vmware (>= 2.17.0),
- python-oslotest (>= 1:3.2.0),
- python-reno (>= 2.5.0),
- python-requests (>= 2.14.2),
- python-retrying (>= 1.2.3),
- python-six (>= 1.10.0),
- python-stestr (>= 1.0.0),
- python-testrepository (>= 0.0.18),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
  python3-babel (>= 2.3.4),
  python3-castellan (>= 0.16.0),
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
  python3-eventlet (>= 0.18.2),
- python3-hacking (>= 0.12.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-hacking (>= 1.1.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.20.0),
+ python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -61,16 +38,17 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.vmware (>= 2.17.0),
  python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
+ python3-reno (>= 2.11.2),
  python3-requests (>= 2.14.2),
  python3-retrying (>= 1.2.3),
  python3-six (>= 1.10.0),
+ python3-sphinx-feature-classification (>= 0.1.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-stestr (>= 1.0.0),
+ python3-subunit,
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- subunit,
- testrepository,
 Standards-Version: 4.1.4
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
@@ -89,36 +67,6 @@
  .
  This package contains common files needed by either the Python 2 or 3 module
  of os-brick.
-
-Package: python-os-brick
-Architecture: all
-Depends:
- open-iscsi,
- os-brick-common (= ${binary:Version}),
- python-babel (>= 2.3.4),
- python-eventlet (>= 0.18.2),
- python-os-win (>= 3.0.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.privsep (>= 1.23.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-pbr (>= 2.0.0),
- python-requests (>= 2.14.2),
- python-retrying (>= 1.2.3),
- python-six (>= 1.10.0),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-os-brick-doc,
-Description: Library for managing local volume attaches - Python 2.x
- OpenStack Cinder brick library for managing local volume attaches.
- .
- Features discovery of volumes being attached to a host for many
- transport protocols and removal of volumes from a host.
- .
- This package contains the Python 2.x module.
 
 Package: python-os-brick-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -4,20 +4,20 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 	rm -rf $(CURDIR)/debian/python*-os-brick/usr/etc
 	install -D -m 0644 etc/os-brick/rootwrap.d/os-brick.filters $(CURDIR)/debian/os-brick-common/etc/os-brick/rootwrap.d/os-brick.filters
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'os_brick\.tests\.(?!(.*privileged\.test_rootwrap\.PrivRootwrapTestCase\.test_custom_execute_timeout_no_raise.*|.*privileged\.test_rootwrap\.PrivRootwrapTestCase\.test_custom_execute_timeout_raises_with_retries.*))'
+	pkgos-dh_auto_test --no-py2 'os_brick\.tests\.(?!(.*privileged\.test_rootwrap\.PrivRootwrapTestCase\.test_custom_execute_timeout_no_raise.*|.*privileged\.test_rootwrap\.PrivRootwrapTestCase\.test_custom_execute_timeout_raises_with_retries.*))'
 endif
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-os-brick-doc/usr/share/doc/python-os-brick-doc/html
+	python3 -m sphinx -b html doc/source debian/python-os-brick-doc/usr/share/doc/python-os-brick-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 override_dh_clean:

## python-os-brick 3.0.0

=== debian/changelog ===
python-os-brick (3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 10:10:00 -0400

python-os-brick (2.11.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Drop BD's on python-* packages.
  * d/p/removes-privacy-breach-in-docs.patch: Rebased.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:26:01 +0000

python-os-brick (2.10.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:47:00 +0200

python-os-brick (2.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased removes-privacy-breach-in-docs.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 09:21:14 +0200

python-os-brick (2.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 22:03:57 +0200

python-os-brick (2.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 17:03:48 +0100

## python-os-brick 3.0.1

=== requirements.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.privsep>=1.23.0 # Apache-2.0
+oslo.privsep>=1.32.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-os-brick (3.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:26:45 -0400

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,9 @@
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -25,31 +21,25 @@
  python3-ddt (>= 1.0.1),
  python3-eventlet (>= 0.18.2),
  python3-hacking (>= 1.1.0),
- python3-mock (>= 2.0.0),
- python3-openstackdocstheme (>= 1.20.0),
- python3-os-api-ref (>= 1.4.0),
- python3-os-testr (>= 1.0.0),
+ python3-openstackdocstheme <!nodoc>,
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.privsep (>= 1.23.0),
+ python3-oslo.privsep (>= 1.32.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.vmware (>= 2.17.0),
- python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.11.2),
+ python3-oslotest <!nocheck>,
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-retrying (>= 1.2.3),
  python3-six (>= 1.10.0),
- python3-sphinx-feature-classification (>= 0.1.0),
- python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-stestr (>= 1.0.0),
- python3-subunit,
- python3-testrepository (>= 0.0.18),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
-Standards-Version: 4.1.4
+ python3-stestr <!nocheck>,
+ python3-testscenarios <!nocheck>,
+ python3-testtools <!nocheck>,
+ subunit,
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
 Homepage: https://github.com/openstack/os-brick
@@ -93,7 +83,7 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.privsep (>= 1.23.0),
+ python3-oslo.privsep (>= 1.32.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),

## python-os-brick 3.0.8

=== requirements.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
 oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.context>=2.19.2 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.privsep>=1.32.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,8 +3,7 @@
 # process, which may cause wedges in the gate later.
 openstackdocstheme>=1.20.0 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.3,<2.0.0;python_version=='2.7'  # BSD
-sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.3;python_version>='3.4'  # BSD
+sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.3 # BSD
 os-api-ref>=1.4.0 # Apache-2.0
 sphinxcontrib-apidoc>=0.2.0  # BSD
 sphinx-feature-classification>=0.1.0 # Apache 2.0

=== debian/changelog ===
python-os-brick (3.0.8-0ubuntu1.2) focal-security; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 11:09:10 -0400

python-os-brick (3.0.8-0ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Support force disconnect for
      fibre channel.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 May 2023 10:38:02 -0400

python-os-brick (3.0.8-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1978465).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/lp1915678-avoid-unhandled-exceptions-during-connecting-to-iscsi-portals.patch,
    d/p/lp1865754-fix-rbd-connector-for-octopus.patch,
    d/CVE-2020-10755.patch: Dropped. Fixed in new stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Jun 2022 13:59:53 -0400

python-os-brick (3.0.1-0ubuntu1.4) focal; urgency=medium

  [ Brett Milford ]
  * Avoid unhandled exceptions during connecting to iSCSI portals
    (LP: #1915678)
    - d/p/lp1915678-avoid-unhandled-exceptions-during-connecting-to-iscsi-portals.patch

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Brett Milford <brett.milford@canonical.com>  Fri, 05 Nov 2021 10:55:06 +1000

python-os-brick (3.0.1-0ubuntu1.3) focal; urgency=medium

  * d/p/lp1865754-fix-rbd-connector-for-octopus.patch: Fix RBD connector to
    work with Ceph Octopus (LP: #1865754).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 23 Sep 2020 15:17:56 +0000

python-os-brick (3.0.1-0ubuntu1.2) focal-security; urgency=medium

  * d/gbp.conf: Create stable/ussuri branch.
  * SECURITY UPDATE: Dell EMC ScaleIO/VxFlex OS Backend Credentials Exposure
    (LP: #1823200)
    - debian/patches/CVE-2020-10755.patch: Remove VxFlex OS credentials
      from connection_properties. Passwords are now stored in separate file
      and are retrieved during each attach/detach operation.
    - CVE-2020-10755

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Jun 2020 09:25:57 -0400

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  python3-openstackdocstheme <!nodoc>,
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.privsep (>= 1.32.0),
@@ -40,8 +41,8 @@
  python3-testtools <!nocheck>,
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-brick
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-brick
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-brick
 Homepage: https://github.com/openstack/os-brick
 Testsuite: autopkgtest-pkg-python
 
@@ -81,6 +82,7 @@
  python3-eventlet (>= 0.18.2),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.privsep (>= 1.32.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    https://tarballs.openstack.org/os-brick/ os-brick-(\d.*)\.tar\.gz
